Cgl 0.59.7

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
OsiRowCut2 Class Reference

Row Cut Class which refers back to row which created it. More...

`#include <OsiRowCut.hpp>`

Inheritance diagram for OsiRowCut2:
[legend]
Collaboration diagram for OsiRowCut2:
[legend]

## Public Member Functions
Which row
int | whichRow () const
| Get row. More...
void | setWhichRow (int row)
| Set row. More...
Constructors and destructors
OsiRowCut2 & | operator= (const OsiRowCut2 &rhs)
| Assignment operator. More...
| OsiRowCut2 (const OsiRowCut2 &)
| Copy constructor. More...
virtual OsiRowCut * | clone () const
| Clone. More...
| OsiRowCut2 (int row=-1)
| Default Constructor. More...
virtual | ~OsiRowCut2 ()
| Destructor. More...
Public Member Functions inherited from OsiRowCut
void | sortIncrIndex ()
| Allow access row sorting function. More...
OsiRowCut_inline double | lb () const
| Get lower bound. More...
OsiRowCut_inline void | setLb (double lb)
| Set lower bound. More...
OsiRowCut_inline double | ub () const
| Get upper bound. More...
OsiRowCut_inline void | setUb (double ub)
| Set upper bound. More...
char | sense () const
| Get sense ('E', 'G', 'L', 'N', 'R') More...
double | rhs () const
| Get right-hand side. More...
double | range () const
| Get range (ub - lb for 'R' rows, 0 otherwise) More...
OsiRowCut_inline void | setRow (int size, const int *colIndices, const double *elements, bool testForDuplicateIndex=COIN_DEFAULT_VALUE_FOR_DUPLICATE)
| Set row elements. More...
OsiRowCut_inline void | setRow (const CoinPackedVector &v)
| Set row elements from a packed vector. More...
OsiRowCut_inline const CoinPackedVector & | row () const
| Get row elements. More...
OsiRowCut_inline CoinPackedVector & | mutableRow ()
| Get row elements for changing. More...
OsiRowCut_inline bool | operator== (const OsiRowCut &rhs) const
| equal - true if lower bound, upper bound, row elements, and OsiCut are equal. More...
OsiRowCut_inline bool | operator!= (const OsiRowCut &rhs) const
| not equal More...
OsiRowCut_inline bool | consistent () const
| Returns true if the cut is consistent. More...
OsiRowCut_inline bool | consistent (const OsiSolverInterface &im) const
| Returns true if cut is consistent with respect to the solver interface's model. More...
OsiRowCut_inline bool | infeasible (const OsiSolverInterface &im) const
| Returns true if the row cut itself is infeasible and cannot be satisfied. More...
virtual double | violated (const double *solution) const
| Returns infeasibility of the cut with respect to solution passed in i.e. More...
void | operator+= (double value)
| add `value` to every vector entry More...
void | operator-= (double value)
| subtract `value` from every vector entry More...
void | operator*= (double value)
| multiply every vector entry by `value` More...
void | operator/= (double value)
| divide every vector entry by `value` More...
OsiRowCut & | operator= (const OsiRowCut &rhs)
| Assignment operator. More...
| OsiRowCut (const OsiRowCut &)
| Copy constructor. More...
| OsiRowCut ()
| Default Constructor. More...
| OsiRowCut (double cutlb, double cutub, int capacity, int size, int *&colIndices, double *&elements)
| Ownership Constructor. More...
virtual | ~OsiRowCut ()
| Destructor. More...
virtual void | print () const
| Print cuts in collection. More...
Public Member Functions inherited from OsiCut
void | setEffectiveness (double e)
| Set effectiveness. More...
double | effectiveness () const
| Get effectiveness. More...
void | setGloballyValid (bool trueFalse)
| Set globallyValid (nonzero true) More...
void | setGloballyValid ()
void | setNotGloballyValid ()
bool | globallyValid () const
| Get globallyValid. More...
void | setGloballyValidAsInteger (int trueFalse)
| Set globallyValid as integer (nonzero true) More...
int | globallyValidAsInteger () const
| Get globallyValid. More...
virtual bool | operator== (const OsiCut &rhs) const
| equal. 2 cuts are equal if there effectiveness are equal More...
virtual bool | operator!= (const OsiCut &rhs) const
| not equal More...
virtual bool | operator< (const OsiCut &rhs) const
| less than. True if this.effectiveness < rhs.effectiveness More...
virtual bool | operator> (const OsiCut &rhs) const
| less than. True if this.effectiveness > rhs.effectiveness More...

## Private Attributes
Private member data
int | whichRow_
| Which row. More...

## Additional Inherited Members
Protected Member Functions inherited from OsiCut
| OsiCut ()
| Default Constructor. More...
| OsiCut (const OsiCut &)
| Copy constructor. More...
OsiCut & | operator= (const OsiCut &rhs)
| Assignment operator. More...
virtual | ~OsiCut ()
| Destructor. More...

## Detailed Description

Row Cut Class which refers back to row which created it.

It may be useful to strengthen a row rather than add a cut. To do this we need to know which row is strengthened. This trivial extension to OsiRowCut does that.

Definition at line 290 of file OsiRowCut.hpp.

## Constructor & Destructor Documentation

OsiRowCut2::OsiRowCut2 | ( | const OsiRowCut2 & |  | ) |

Copy constructor.

OsiRowCut2::OsiRowCut2 | ( | int | row = `-1` | ) |

Default Constructor.

virtual OsiRowCut2::~OsiRowCut2 | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

int OsiRowCut2::whichRow | ( |  | ) | const
| inline

Get row.

Definition at line 297 of file OsiRowCut.hpp.

void OsiRowCut2::setWhichRow | ( | int | row | ) |
| inline

Set row.

Definition at line 300 of file OsiRowCut.hpp.

OsiRowCut2& OsiRowCut2::operator= | ( | const OsiRowCut2 & | rhs | ) |

Assignment operator.

virtual OsiRowCut* OsiRowCut2::clone | ( |  | ) | const
| virtual

Clone.

Reimplemented from OsiRowCut.

## Member Data Documentation

int OsiRowCut2::whichRow_
| private

Which row.

Definition at line 328 of file OsiRowCut.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.7/Osi/src/Osi/OsiRowCut.hpp